%global pypi_name django-split-settings
%global module_name django_split_settings
%global dir_name split_settings
%global commitId 0c555bacc038399c3d186c8e146e541c2d208db5

%global common_summary %{expand: Organize Django settings into multiple files and directories. Easily override and modify settings. Use wildcards in settings file paths and mark settings files as optional.}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.2.0
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD-2-Clause
URL:            https://github.com/wemake-services/django-split-settings
Source0:        python-django-split-settings-0c555bacc038399c3d186c8e146e541c2d208db5.tar.gz
Patch0:         01-remove-poetry-groups.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-poetry-core

%description
%{common_summary}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_summary}

%prep
%autosetup -p1 -n python-%{pypi_name}-%{commitId}

cat <<EOF >> setup.cfg

[metadata]
name = %{pypi_name}
version = %{version}
author = sobolevn, Visa Kopu, Antti Kaihola
author_email = mail@sobolevn.me
url = %{url}
project_urls =
  Source Code = %{url}
license = %{license}
license_files = LICENSE
description = Organize Django settings into multiple files and directories. Easily override and modify settings. Use wildcards and optional settings files.
long_description = file: README.md
long_description_content_type = text/markdown
classifiers =
  Development Status :: 5 - Production/Stable
  Environment :: Web Environment
  Framework :: Django
  Framework :: Django :: 1.11
  Framework :: Django :: 2.2
  Framework :: Django :: 3.0
  Framework :: Django :: 3.1
  Framework :: Django :: 3.2
  Framework :: Django :: 4.0
  Framework :: Django :: 4.1
  Intended Audience :: Developers
  License :: OSI Approved :: BSD License
  Operating System :: OS Independent
  Topic :: Software Development :: Libraries :: Python Modules
  Topic :: Internet :: WWW/HTTP
  Topic :: Internet :: WWW/HTTP :: Dynamic Content

[options]
python_requires = >=3.7
packages = find:
package_dir =
    = src
include_package_data = True

[options.packages.find]
where = src
EOF

%build
# Taken from pyproject-rpm-macros's 'pyproject_wheel'
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
# Taken from pyproject-rpm-macros's 'pyproject_wheel'
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.md README.md
%license LICENSE
%{python3_sitelib}/%{dir_name}
%{python3_sitelib}/%{module_name}-%{version}.dist-info

%changelog
* Wed Apr 19 2023 James Marshall <jamarsha@redhat.com> 1.2.0-1
- Initial release
